<ngx-alerts></ngx-alerts>
<div style="padding-bottom: 2%">
    <nav class="navbar navbar-expand-md navbar-dark fixed-top" style="background-color: #474747">
        <a class="navbar-brand" style="color: #efb810">{{'home.welcome' | translate}} CEO GeoCargo</a>
        <button class="navbar-toggler hidden-sm-up" type="button" (click)="isNavbarCollapsed = !isNavbarCollapsed"
            data-target="#navbarsDefault" aria-controls="navbarsDefault" aria-expanded="false"
            aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div [ngbCollapse]="isNavbarCollapsed" class="collapse navbar-collapse" id="navbarsDefault"
            style="padding-right: 5%">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item dropdown" ngbDropdown>
                    <a class="nav-link dropdown-toggle" id="id01" ngbDropdownToggle>{{'dashboard.menu'| translate}}</a>
                    <div class="dropdown-menu" aria-labelledby="id01" ngbDropdownMenu>
                        <a class="dropdown-item"
                            href="/list-registration-request">{{'requestRegistration.requestRegistration'| translate}}</a>
                        <a class="dropdown-item"
                            href="/map">{{'dashboard.viewRoutes'| translate}}</a>
                    </div>
                </li>
            </ul>
            <div class="nav-item" ngbDropdown placement="bottom-center">
                <a class="nav-link position-relative" id="dropdownLang" ngbDropdownToggle>
                    <img src="{{getFlagURL()}}" alt="English" class="langimg">
                    <p class="d-none">Language</p>
                </a>
                <div ngbDropdownMenu aria-labelledby="dropdownLang" class="dropdownLang">
                    <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('en')">
                        <img src="assets/img/flags/us.png" alt="English" class="langimg">
                        <span>English</span>
                    </a>
                    <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('es')">
                        <img src="assets/img/flags/es.png" alt="Espa&ntilde;ol" class="langimg">
                        <span>Espa&ntilde;ol</span>
                    </a>
                </div>
            </div>
        </div>
    </nav>
</div>
<div class="col-lg-12 col-md-12 col-sm-12 col-12 justify-content-center align-items-center">
    <div class="row">
        <div class="col-lg-8 col-md-8 col-sm-12 col-12" style="margin-top: 5%">
            <div class="row" style="padding-left: 10px; padding-right: 10px; margin-bottom: 3%">
                <div class="col-lg-3 col-md-6 col-sm-12 col-12" style="height: 100%; padding: 1%">
                    <app-card [cardClass]="'greenCard'" [iconClass]="'fa-user-plus'" [numberToShow]="6"
                        [textToShow]="'dashboard.manageAffiliations'" [detailsLink]="'/list-registration-request'">
                    </app-card>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-12 col-12" style="height: 100%; padding: 1%">
                    <app-card [cardClass]="'blueCard'" [iconClass]="'fa-road'" [numberToShow]="8"
                        [textToShow]="'dashboard.manageRoutes'" [detailsLink]="'/list-credit-request'">
                    </app-card>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-12 col-12" style="height: 100%; padding: 1%">
                    <app-card [cardClass]="'redCard'" [iconClass]="'fa-map-marker'" [numberToShow]="7"
                        [textToShow]="'dashboard.manageMap'" [detailsLink]="'/map'">
                    </app-card>
                </div>
                <div class="col-lg-3 col-md-6 col-sm-12 col-12" style="height: 100%; padding: 1%">
                    <app-card [cardClass]="'orangeCard'" [iconClass]="'fa-building'" [numberToShow]="15"
                        [textToShow]="'dashboard.manageCompanies'" [detailsLink]="'/'">
                    </app-card>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-12 col-12" style="margin-bottom: 3%; margin-top: 3%;">
            <div class="cardProfile" style="background-color: white">
                <div class="container" style="width: 60%">
                    <img src="{{profilePicture}}" alt="Avatar" class="image rounded-circle">
                    <div class="middle">
                        <resizing-cropping-images></resizing-cropping-images>
                    </div>
                </div>
                <h1 class="Name">{{nameUser}}</h1>
                <p class="title">{{descriptionUser}}</p>
                <a class="btn btn-info" (click)="openModalEditProfile(modalEditProfile)"
                    style="margin-bottom: 2%">{{'buttons.editProfile' | translate}}</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-8 col-md-12 col-sm-12 col-12" style="margin-bottom: 3%">
            <div class="card">
                <div class="card-header" style="background-color: rgb(247, 247, 247)">
                    <h4> {{ 'home.yourStatistics' | translate }} </h4>
                </div>
                <div class="card-body justify-content-center align-items-center">
                    <div class="container" style="padding-left: 10px; padding-right: 10px; padding-top: 10px;">
                        <div class="row">
                            <div class="col-lg-4 col-md-11 col-sm-11 col-11 justify-content-center align-items-center"
                                style="margin-top: 10px">
                                <div class="card text-white bg-primary mb-3" style="height: 100%;">
                                    <div class="card-header">{{'dashboard.affiliates' | translate}}</div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-lg-4 col-md-4 col-sm-4 col-4 ">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <i class="fa fa-users fa-3x" aria-hidden="true"></i>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-8 col-md-8 col-sm-8 col-8 text-left"
                                                style="margin-top: 15px;">
                                                <div class="row number">
                                                    <div class="col-12 ">
                                                        <h1>7</h1>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-12">
                                                <h3 class="card-title"> {{'dashboard.totalAffiliates' | translate}}

                                                </h3>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-8 col-md-11 col-sm-11 col-11 justify-content-center align-items-center"
                                style="margin-top: 10px">
                                <div class="card badge-danger" style="height: 100%">
                                    <div class="card-header">
                                        {{'dashboard.routes' | translate}}
                                    </div>
                                    <div class="card-body">
                                        <div class="row" style="height: 100%">
                                            <div class=" fa fa-users fa-5x col-lg-5 col-md-5 col-sm-5 col-5 "
                                                style="margin-top: 10px; text-align: center;">
                                            </div>
                                            <div class="col-lg-7 col-md-7 col-sm-7 col-7">
                                                <div class="col-12 ">
                                                    <h1>10</h1>
                                                </div>
                                                <div class="col-12 ">
                                                    <h3>{{'dashboard.totalRoutes' | translate}}</h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-lg-4 col-md-11 col-sm-11 col-11 justify-content-center align-items-center">
                                <div class="card text-white bg-success mb-3" style="height: 100%;">
                                    <div class="card-header">{{'requestRegistration.requestRegistration' | translate}}
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-lg-4 col-md-4 col-sm-4 col-4 " style="margin-top: 10px">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <i class="fa fa-users fa-3x" aria-hidden="true"></i>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-8 col-md-8 col-sm-8 col-8 text-left"
                                                style="margin-top: 15px;">
                                                <div class="row number">
                                                    <div class="col-12 ">
                                                        <h1>12</h1>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-12">
                                                <h3 class="card-title">
                                                    {{'requestRegistration.requestRegistration' | translate}}

                                                </h3>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-8 col-md-10 col-sm-11 col-11 justify-content-center align-items-center">
                                <div style="display: block">
                                    <canvas baseChart [datasets]="barChartData" [labels]="barChartLabels"
                                        [options]="barChartOptions" [legend]="barChartLegend"
                                        [chartType]="barChartType">
                                    </canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-4 col-md-12 col-sm-12 col-12 justify-content-center align-items-center">
            <div class="card col-lg-12 col-md-12 col-sm-12 col-12 justify-content-center align-items-center">
                <ngb-datepicker #d1 [(ngModel)]="model1" #c1="ngModel" style="margin: 5%">
                </ngb-datepicker>
                <!--<pre>Model: {{ model1 | json }}</pre>-->
            </div>

            <div class="col-lg-12 col-md-12 col-sm-12 col-12" style="margin-top: 5%; margin-bottom: 5%">
                <div class="card">
                    <div class="card-header" style="background-color: rgb(247, 247, 247)">
                        <h4> {{ 'home.messages' | translate }} </h4>
                    </div>
                    <div class="card-body">
                        <div class="container" style="padding-left: 10px; padding-right: 10px; padding-top: 10px;">
                            <div class="col-12">
                                <form role="form-group form" action="" method="post" class="f1"
                                    [formGroup]="sendMessageAdminForm">
                                    <div class="row">
                                        <select class="form-control" formControlName="sendTo">
                                            <option value="DCV" selected="selected">
                                                {{'message.sendToUsers'|translate}}
                                            </option>
                                            <option value="OPB">{{'message.sendToOperator'|translate}}</option>
                                            <option value="LUM">{{'message.sendToUser' | translate }}: </option>
                                        </select>
                                    </div>
                                    <br>
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-6">
                                                <label for="acdate">{{'message.activation' | translate }}</label>
                                                <div class="input-group">
                                                    <input class="form-control" (click)="picker1.open()" matInput
                                                        [matDatepicker]="picker1" id="acdate" formControlName="picker2"
                                                        placeholder="{{'message.activation' | translate }}">
                                                    <mat-datepicker-toggle matSuffix [for]="picker1">
                                                    </mat-datepicker-toggle>
                                                    <mat-datepicker touchUi #picker1></mat-datepicker>
                                                </div>
                                                <h6
                                                    *ngIf="!sendMessageAdminForm.controls['picker1'].valid && sendMessageAdminForm.controls['picker1'].touched">
                                                    <span
                                                        class="badge badge-danger">{{ 'userRegister.requirdField' | translate }}</span>
                                                </h6>
                                            </div>
                                            <div class="col-6">
                                                <label for="exdate">{{'message.expiration' | translate }}</label>
                                                <div class="input-group">
                                                    <input class="form-control" (click)="picker2.open()" matInput
                                                        [matDatepicker]="picker2" id="exdate" formControlName="picker2"
                                                        placeholder="{{'message.expiration' | translate }}">

                                                    <mat-datepicker-toggle matSuffix [for]="picker2">
                                                    </mat-datepicker-toggle>
                                                    <mat-datepicker touchUi #picker2></mat-datepicker>
                                                </div>
                                                <h6
                                                    *ngIf="!sendMessageAdminForm.controls['picker2'].valid && sendMessageAdminForm.controls['picker2'].touched">
                                                    <span
                                                        class="badge badge-danger">{{ 'userRegister.requirdField' | translate }}</span>
                                                </h6>

                                            </div>
                                        </div>
                                    </div>
                                    <div *ngIf="sendMessageAdminForm.value['sendTo']=='LUM'">
                                        <div class="col-12">
                                            <label for="sento"
                                                class="col-12 col-form-label">{{'message.sendTo' | translate }}:
                                            </label>
                                        </div>
                                        <div class="col-12">
                                            <input class="col-12 form-control" type="text" id="sendto"
                                                placeholder="Send to" (click)="openModalSearchUser(modalSearchUser)"
                                                value="{{selectedUser.email}}">
                                        </div>
                                        <br>
                                    </div>

                                    <div class="col-12">
                                        <label for="subject"
                                            class="col-12 col-form-label">{{'message.subject' | translate }}:
                                        </label>
                                    </div>
                                    <div class="col-12">
                                        <input formControlName="subject" type="text" class="col-12 form-control"
                                            id="subject" placeholder="{{'message.subject' | translate }}">
                                    </div>
                                    <br>
                                    <div class="row">
                                        <textarea rows="3" type="text" class="form-control"
                                            formControlName="message"></textarea>
                                        <h6
                                            *ngIf="!sendMessageAdminForm.controls['message'].valid && sendMessageAdminForm.controls['message'].touched">
                                            <span
                                                class="badge badge-danger">{{ 'userRegister.requirdField' | translate }}</span>
                                        </h6>
                                    </div>
                                    <br>
                                    <div class="f1-buttons row">
                                        <button type="button" class="btn btn-success" (click)="sendMessage()">{{
                                      'buttons.Submit' | translate }}
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--MODAL CHANGE PHOTO-->

<ng-template #modalEditProfile let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h4 class="modal-title">{{'buttons.editProfile' | translate}}</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <mat-list>
            <div class="row">
                <div class="col-12 col-lg-4 col-md-4 col-sm-12">
                    <mat-list-item>{{'dashboard.nameUser' | translate}}</mat-list-item>
                </div>
                <mat-divider></mat-divider>
                <div class="col-12 col-lg-8 col-md-8 col-sm-12">
                    <mat-list-item style="padding-top: 5%">
                        <mat-form-field appearance="outline">
                            <mat-label>{{'dashboard.nameUser' | translate}}</mat-label>
                            <input matInput [(ngModel)]="newNameUser" placeholder="{{nameUser}}">
                            <mat-icon matSuffix>face</mat-icon>
                        </mat-form-field>
                    </mat-list-item>
                </div>
            </div>
            <div class="row" style="margin-top: 5%">
                <div class="col-12 col-lg-4 col-md-4 col-sm-12">
                    <mat-list-item>{{'dashboard.descriptionUser' | translate}}</mat-list-item>
                </div>
                <mat-divider></mat-divider>
                <div class="col-12 col-lg-8 col-md-8 col-sm-12">
                    <mat-list-item style="padding-top: 5%">
                        <mat-form-field appearance="outline">
                            <mat-label>{{'dashboard.descriptionUser' | translate}}</mat-label>
                            <input matInput [(ngModel)]="newDescriptionUser" placeholder="{{descriptionUser}}">
                            <mat-icon matSuffix>assignment ind</mat-icon>
                        </mat-form-field>
                    </mat-list-item>
                </div>
            </div>
        </mat-list>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-success" (click)="updateProfile();c('Close click')">{{
  'buttons.save' | translate }}</button>
        <button type="button" class="btn btn-warning"
            (click)="c('Close click')">{{ 'buttons.cancel' | translate }}</button>
    </div>
</ng-template>

<!--MODAL CHANGE PHOTO-->

<!-- <ng-template #modalChangePhoto let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h4 class="modal-title">Hola</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <resizing-cropping-images></resizing-cropping-images>
    </div>
    <div class="modal-footer">
        <button type="button" class="successBtn" [disabled]="!newPhoto" (click)="changePhoto();c('Close click')">{{
  'buttons.save' | translate }}</button>
        <button type="button" class="linkBtn"
            (click)="c('Close click')">{{ 'requestshippingPayment.close' | translate }}</button>
    </div>
</ng-template> -->